Summary:	Simple window management tool
Summary(pl.UTF-8):	Proste narzędzie do zarządzania oknami
Name:		mate-netbook
Version:	1.24.0
Release:	1
License:	GPL v3
Group:		X11/Applications
Source0:	http://pub.mate-desktop.org/releases/1.24/%{name}-%{version}.tar.xz
# Source0-md5:	17cbf19b839ff48a41d79a684c856a3f
URL:		http://mate-desktop.org/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	glib2-devel >= 1:2.50.0
BuildRequires:	gtk+3-devel >= 3.22
BuildRequires:	libfakekey-devel
BuildRequires:	libtool >= 1:1.4.3
BuildRequires:	libwnck-devel >= 3.0
BuildRequires:	mate-panel-devel >= 1.17.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.36
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libXtst-devel
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.50.0
Requires:	glib2 >= 1:2.50.0
Requires:	gtk+3 >= 3.22
Requires:	mate-panel >= 1.17.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# use the same libexecdir as mate-panel
# (better solution: store mate-panel libexecdir in libmatepanelapplet-*.pc and read it here)
%define		matepanel_libexecdir	%{_libexecdir}/mate-panel

%description
A simple window management tool which:
- allows you to set basic rules for a window type, such as maximise
  or undecorate
- allows exceptions to the rules, based on string matching for window
  name and window class
- allows 'reversing' of rules when the user manually changes
  something:
  - re-decorates windows on un-maximise

%description -l pl.UTF-8
Proste narzędzie do zarządzania oknami, które:
- pozwala na ustawianie podstawowych reguł dla typu okna, takich jak
  maksymalizacja lub usunięcie dekoracji
- pozwala na wyjątki od reguł, w oparciu o dopasowywanie nazwy lub
  klasy okna
- pozwala na odwrócenie reguł, kiedy użytkownik coś zmieni:
  - ponownie włącza dekoracje okien przy wyłączeniu maksymalizacji

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--libexecdir=%{matepanel_libexecdir} \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{es_ES,frp,ie,jv,ku_IQ,nqo,pms}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/mate-maximus
%attr(755,root,root) %{matepanel_libexecdir}/mate-window-picker-applet
/etc/xdg/autostart/mate-maximus-autostart.desktop
%{_datadir}/dbus-1/services/org.mate.panel.applet.MateWindowPickerFactory.service
%{_datadir}/glib-2.0/schemas/org.mate.maximus.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.mate-window-picker-applet.gschema.xml
%{_datadir}/mate-panel/applets/org.mate.panel.MateWindowPicker.mate-panel-applet
%{_datadir}/mate-panel/ui/mate-window-picker-applet-menu.xml
%{_mandir}/man1/mate-maximus.1*
%changelog
* Tue Feb 11 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mate-netbook.git;a=log;h=master

* Tue Feb 11 2020 Jan Palus <atler@pld-linux.org> 65f45e1
- up to 1.24.0

* Tue Oct 08 2019 Jan Palus <atler@pld-linux.org> ab1f353
- up to 1.22.2

* Tue May 21 2019 Jakub Bogusz <qboosh@pld-linux.org> 3be8205
- kab locale is supported now

* Tue Apr 23 2019 Jan Palus <atler@pld-linux.org> 00f7e14
- up to 1.22.1

* Tue Mar 19 2019 Jan Palus <atler@pld-linux.org> 5a1c459
- up to 1.22.0

* Sun Dec 16 2018 Jakub Bogusz <qboosh@pld-linux.org> e8dc4f0
- use mate-panel libexecdir; release 2

* Mon Jun 18 2018 Jan Palus <atler@pld-linux.org> 1419b82
- up to 1.20.1

* Wed Feb 07 2018 Jan Palus <atler@pld-linux.org> 319cdc8
- up to 1.20.0

* Wed Oct 25 2017 Jan Palus <atler@pld-linux.org> 876d2c2
- up to 1.18.2

* Sun May 14 2017 Jan Palus <atler@pld-linux.org> 0743ead
- up to 1.18.1

* Wed Mar 15 2017 Jan Palus <atler@pld-linux.org> 9bf1abb
- up to 1.18.0

* Mon Oct 24 2016 Jan Palus <atler@pld-linux.org> 45fa3d9
- up to 1.16.1

* Fri Sep 23 2016 Jan Palus <atler@pld-linux.org> b2375d0
- up to 1.16.0

* Sat Apr 09 2016 Jan Palus <atler@pld-linux.org> 65f3de8
- up to 1.14.0

* Fri Nov 06 2015 Jan Palus <atler@pld-linux.org> 1932573
- up to 1.12.0

* Thu May 14 2015 Jakub Bogusz <qboosh@pld-linux.org> 91c046d
- updated to 1.10.0 (1.8.x left on MATE-1.8 branch)

* Sun Mar 29 2015 Jan Palus <atler@pld-linux.org> 04f921a
- up to 1.8.2

* Mon Mar 02 2015 Elan Ruusamäe <glen@delfi.ee> 47c87f7
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 645e113
- updated gettext BR

* Mon Sep 29 2014 Jan Palus <atler@pld-linux.org> 0f4ca44
- up to 1.8.1
- new mate-maximus man

